Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.orbportability.common.ant
Class IDLBuildList

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              com.arjuna.orbportability.common.ant.IDLBuildList

public class IDLBuildList
extends org.apache.tools.ant.Task

Field Summary
`protected java.util.ArrayList` | `_idlElements`
`protected java.lang.String` | `_storeInProperty`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`IDLBuildList()`

Method Summary
`IDLBuildListElement` | `createElement()` Create and store new build list element
`void` | `execute()`
`void` | `setInproperty(java.lang.String name)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _idlElements

    protected java.util.ArrayList _idlElements

### _storeInProperty

    protected java.lang.String _storeInProperty

Constructor Detail

### IDLBuildList

    public IDLBuildList()

Method Detail

### setInproperty

    public void setInproperty(java.lang.String name)

### createElement

    public IDLBuildListElement createElement()

  Create and store new build list element

  Returns:
    The newly created build list element

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD